Bug 1119235 - Valgrind inspired fixes for omxregister-bellagio (memory leaks + use of uninitialised variable)
Summary: Valgrind inspired fixes for omxregister-bellagio (memory leaks + use of unini...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libomxil-bellagio
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 10:46 UTC by Emil Velikov
Modified: 2018-07-20 15:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:55:31 UTC


Attachments (Terms of Use)
use calloc() for memory allocation (2.54 KB, patch)
2014-07-14 10:46 UTC, Emil Velikov
no flags Details | Diff
Plug memory leak of allNames (406 bytes, patch)
2014-07-14 10:48 UTC, Emil Velikov
no flags Details | Diff

Description Emil Velikov 2014-07-14 10:46:58 UTC
Created attachment 917736 [details]
use calloc() for memory allocation

Description of problem:

Running omxregister-bellagio under valgrind produces a few warnings - use of uninitialised variables and memory leaks.

Ideally this should be fixed upstream, yet no-one has responded to my emails in almost a month :'(


Version-Release number of selected component (if applicable):

All (current latest version is 0.9.3-9 which exhibits the problems)


How reproducible:

Steps to Reproduce:
1. Install libomxil-bellagio
2. Run valgrind omxregister-bellagio

Comment 1 Emil Velikov 2014-07-14 10:48:20 UTC
Created attachment 917747 [details]
Plug memory leak of allNames

Comment 2 Emil Velikov 2014-08-16 14:34:29 UTC
Humble monthly ping.
Can we please get these(or similar) patches included in the package ?

Comment 3 Emil Velikov 2014-08-29 14:36:14 UTC
Another fortnight, another ping :)
Can anyone spare 5 minutes and pull these patches in, please ?

Comment 4 Emil Velikov 2014-09-16 19:19:23 UTC
Two months have passed and no reply :'(
Would be great to have the issues addressed, even if one chooses different approach.

Comment 5 Nicolas Chauvet (kwizart) 2014-09-17 10:43:12 UTC
It's not a matter to "pull patches" , it's a matter to have the functionality tested. I wasn't able to test on any relevant hardware until recently. Now I need to find time to do the testing. (which might involve mesa patches since the omx backend was updated with mesa 10.3).

I also find memleak patch with omxregister tool as an extremely low priority at the point that I'm even reluctant to apply against any upstream resolution and QA on this isssue.

Comment 6 Nicolas Chauvet (kwizart) 2014-09-17 10:44:10 UTC
btw, which hardware/driver version was tested ?

Comment 7 Emil Velikov 2014-09-17 11:16:24 UTC
Perhaps I should have been more explicit
 - The issue is not hardware/driver related.
 - One does _not_ need mesa, but only the libomxil-bellagio package.

Imho it's a matter of
 - Install the libomxil-bellagio package.
 - Run valgrind omxregister-bellagio
 - Observe the issues pointed out
 - Check if the patches correctly address the issues & QA

Bit curious - if you feel reluctant on plugging the memleak why did you request that I open a bugreport here in the first place :'(

Either way glad to see some progress on this.

Comment 8 Jaroslav Reznik 2015-03-03 17:02:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 9 Fedora End Of Life 2016-07-19 11:55:31 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Nicolas Chauvet (kwizart) 2018-07-20 15:35:25 UTC
Seems like this bug was closed without the proposed fix merged.

What's annoy me the most (as reported in the first comment) is that the upstream is dead for this project. And a big project like mesa using it does't seems like a good thing.

Better would be to have freedesktop or mesa to take-over maintenance of the libomxil-bellagio project).


Note You need to log in before you can comment on or make changes to this bug.